### Method

# ECal Component dup_comment_for_locale

since: 3.46

#### Declaration [src]

    ECalComponentText*
    e_cal_component_dup_comment_for_locale (
      ECalComponent* comp,
      const gchar* locale
    )

#### Description [src]

Returns a comment for the given `locale`. When `locale` is `NULL`, the current locale is assumed. If no such comment for the locale exists either a comment with no language parameter or the first found is returned.

Free the returned non-NULL `ECalComponentText` with e_cal_component_text_free(), when no longer needed.

Available since: 3.46

#### Parameters

`locale`

  Type: `const gchar*`

  A locale identifier, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentText`

Comment for the `locale`, `NULL` if no comment is set on the `comp`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.